mav_callbackDrawExec(3)

NAME
mav_callbackDrawExec - Execute callback function for an object.

LEVEL
Maverik Level 2

SYNTAX
int mav_callbackDrawExec(MAV_window *w, MAV_object *o, MAV_drawInfo *di);

int mav_callbackBBExec(MAV_window *w, MAV_object *o, MAV_BB *bb);

int mav_callbackIntersectExec(MAV_window *w, MAV_object *o, MAV_line ln, MAV_objectIntersection *oi);

int mav_callbackIDExec(MAV_window *w, MAV_object *o, char **id);

int mav_callbackDumpExec(MAV_window *w, MAV_object *o);

int mav_callbackGetUserdefExec(MAV_window *w, MAV_object *o, void ***ud);

int mav_callbackGetMatrixExec(MAV_window *w, MAV_object *o, MAV_matrix **m);

int mav_callbackGetSurfaceParamsExec(MAV_window *w, MAV_object *o, MAV_surfaceParams ***sp);

DESCRIPTION
These functions execute the appropriate callback function for object o in window w.